Package org.pgpainless.exception

# Class MalformedOpenPgpMessageException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.pgpainless.exception.MalformedOpenPgpMessageException

All Implemented Interfaces:
  `Serializable`

public class MalformedOpenPgpMessageException extends RuntimeException
Exception that gets thrown if the OpenPGP message is malformed. Malformed messages are messages which do not follow the grammar specified in the RFC.

See Also:
  - RFC4880 §11.3. OpenPGP Messages
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MalformedOpenPgpMessageException(String message)`
`MalformedOpenPgpMessageException(String s, MalformedOpenPgpMessageException e)`
`MalformedOpenPgpMessageException(State state, InputSymbol input, StackSymbol stackItem)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MalformedOpenPgpMessageException

public MalformedOpenPgpMessageException(String message)

### MalformedOpenPgpMessageException

public MalformedOpenPgpMessageException(State state, InputSymbol input, StackSymbol stackItem)

### MalformedOpenPgpMessageException

public MalformedOpenPgpMessageException(String s, MalformedOpenPgpMessageException e)